import { WinPackager } from "../winPackager";
export interface CommonWindowsInstallerOptions {
    readonly oneClick?: boolean;
    /**
     * *one-click installer only.*  Whether to run the installed application after finish.
     * @default true
     */
    readonly runAfterFinish?: boolean;
    /**
     * Whether to create desktop shortcut.
     * @default true
     */
    readonly createDesktopShortcut?: boolean;
    /**
     * Whether to create start menu shortcut.
     * @default true
     */
    readonly createStartMenuShortcut?: boolean;
    /**
     * Whether to create submenu for start menu shortcut and program files directory. If `true`, company name will be used. Or string value.
     * @default false
     */
    readonly menuCategory?: boolean | string;
    /**
     * The name that will be used for all shortcuts. Defaults to the application name.
     */
    readonly shortcutName?: string | null;
}
export interface FinalCommonWindowsInstallerOptions {
    shortcutName: string;
    menuCategory: string | null;
    isAssisted: boolean;
    isCreateDesktopShortcut: boolean;
    isCreateStartMenuShortcut: boolean;
}
export declare function getEffectiveOptions(options: CommonWindowsInstallerOptions, packager: WinPackager): FinalCommonWindowsInstallerOptions;
